/*
 *  playlist.h
 *  mod_musicindex
 *
 *  $Id: playlist.h,v 1.8 2003/06/25 14:35:51 varenet Exp $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003 Regis BOUDIN
 *  Copyright (c) 2003 Thibaut VARENE
 *   
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */
 
#ifndef PLAYLIST_H
#define PLAYLIST_H

#include "mod_musicindex.h"
#include <mad.h>	/* libmad */
#include <stdio.h>	/* fops */
#include <sys/stat.h>	/* fstat */
#include <libgen.h>	/* basename */

#include <vorbis/codec.h>
#include <vorbis/vorbisfile.h>

#include <id3tag.h>

/**
 * Input buffer size used by libmad subsystem.
 */
#define INPUT_BUFFER_SIZE	8192

struct mu_ent *make_ogg_entry(pool *pool, struct mu_ent *head,
	FILE *in, mu_config * conf, mu_ent_names *names, request_rec * r);

struct mu_ent *make_mp3_entry(pool *pool, struct mu_ent *head,
	FILE *in, mu_config * conf, mu_ent_names *names, request_rec * r);

struct mu_ent *make_music_entry(pool *pool, request_rec * r,
	struct mu_ent *head, mu_config * conf, mu_ent_names *names);

short musicindex_directory(request_rec * r, mu_config * conf);

short playlist_directory(request_rec * r, mu_config * conf);

short playlist_selected(request_rec * r, mu_config * conf);

#endif
